Bug 1231444 - Review Request: CPUFreqUtility - KDE CPU Frequence utility
Summary: Review Request: CPUFreqUtility - KDE CPU Frequence utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: trivial
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2015-06-13 12:17 UTC by Fl@sh
Modified: 2015-12-06 03:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-06 01:24:23 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Fl@sh 2015-06-13 12:17:35 UTC
Spec URL: https://github.com/F1ash/kf5-cpufrequtility/blob/master/kf5-cpufrequtility.spec
SRPM URL: https://f1ash.fedorapeople.org/kf5-cpufrequtility/kf5-cpufrequtility-1.1.2-1.fc22.src.rpm
Description: CPU Frequence Utility is managed the CPU frequency governors and the min\max parameters of frequency.
Fedora Account System Username: f1ash

Successfull builds: https://f1ash.fedorapeople.org/kf5-cpufrequtility/

Comment 1 Kevin Kofler 2015-06-13 23:13:57 UTC
I think a name in kf5-* is somewhat misleading for a package that is not part of KF5.

Comment 2 Fl@sh 2015-06-14 12:55:10 UTC
Spec URL: https://github.com/F1ash/CPUFreqUtility/blob/master/CPUFreqUtility.spec
SRPM URL: https://f1ash.fedorapeople.org/CPUFreqUtility/CPUFreqUtility-1.1.2-2.fc22.src.rpm
Description: KDE Utility is managed the CPU frequency governors and the min\max parameters of frequency.
Fedora Account System Username: f1ash

Successfull builds: https://f1ash.fedorapeople.org/CPUFreqUtility/

Comment 3 Fl@sh 2015-06-21 08:29:41 UTC
SRPM URL: https://f1ash.fedorapeople.org/CPUFreqUtility/CPUFreqUtility-1.2.2-1.fc22.src.rpm
(newest version)

Comment 4 Fl@sh 2015-07-01 14:40:01 UTC
SRPM URL: https://f1ash.fedorapeople.org/CPUFreqUtility/CPUFreqUtility-1.4.3-1.fc22.src.rpm
(newest version)

Comment 5 Raphael Groner 2015-08-20 09:19:54 UTC
Hi,

are you interested in a review swap? If yes, I could here do the reviewer job.

Comment 6 Raphael Groner 2015-10-10 19:56:36 UTC
Use %global instead of %define .
https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

Use %license COPYING instead of %doc .
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

You can remove the Group: tag, it's obsolete.

I fail to validate the upstream URL, is this project dead, gone or renamed somehow?

Comment 8 Raphael Groner 2015-10-11 18:26:28 UTC
You should activate your FAS:
[20:25:11] <RaphGro> fasinfo flash
[20:25:13] <zodbot> User: flash, Name: Jose J. Colmenares S., email: $address, Creation: 2009-05-30, IRC Nick: None, Timezone: UTC, Locale: C, GPG key ID: None, Status: inactive
[20:25:17] <zodbot> Approved Groups: cla_fedora

Comment 9 Raphael Groner 2015-10-11 18:37:16 UTC
The Spec URL does not return raw content. You may use instead:
Spec URL: https://raw.githubusercontent.com/F1ash/CPUFreqUtility/master/CPUFreqUtility.spec

Comment 10 Upstream Release Monitoring 2015-10-11 19:31:34 UTC
raphgro's scratch build of CPUFreqUtility-1.4.3-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11410359

Comment 11 Raphael Groner 2015-10-11 19:31:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- License tag is invalid, use GPLv2+ instead of GPL2+
- Add Requires: dbus systemd
- Add other missing folders ownership into %files


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 27 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-
     review/CPUFreqUtility/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/dbus-1/system.d
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/polkit-1/actions,
     /usr/share/dbus-1/system-services, /usr/share/dbus-1, /etc/dbus-1,
     /etc/dbus-1/system.d, /usr/share/polkit-1
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     CPUFreqUtility-debuginfo
=> I do not understand this, ignore for now.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
=> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11410359
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define cmake_build_dir build-
     cmake
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-1.4.3-1.fc24.x86_64.rpm /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-debuginfo-1.4.3-1.fc24.x86_64.rpm /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-debuginfo-1.4.3-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-1.4.3-1.fc24.x86_64.rpm /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-debuginfo-1.4.3-1.fc24.x86_64.rpm /home/builder/fedora-review/CPUFreqUtility/results/CPUFreqUtility-debuginfo-1.4.3-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: CPUFreqUtility-1.4.3-1.fc24.x86_64.rpm
          CPUFreqUtility-debuginfo-1.4.3-1.fc24.x86_64.rpm
          CPUFreqUtility-1.4.3-1.fc24.src.rpm
CPUFreqUtility.x86_64: I: enchant-dictionary-not-found ru
=> I do not use russian packages, ignore.
CPUFreqUtility.x86_64: W: invalid-license GPL2+
=> Use GPLv2+ instead.
CPUFreqUtility.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.auth.cpufrequtility.conf
=> A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config, or maybe better as %config(noreplace),
in the spec file.
https://fedoraproject.org/wiki/Common_Rpmlint_issues#non-conffile-in-etc
CPUFreqUtility.x86_64: W: no-manual-page-for-binary CPUFreqUtility
=> It's a GUI application, ignore.
CPUFreqUtility-debuginfo.x86_64: W: invalid-license GPL2+
CPUFreqUtility.src: W: invalid-license GPL2+
=> Use GPLv2+ instead.
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Requires
--------
CPUFreqUtility (rpmlib, GLIBC filtered):
    kf5-kauth
    kf5-knotifications
    libKF5Auth.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtbase
    rtld(GNU_HASH)

CPUFreqUtility-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
CPUFreqUtility:
    CPUFreqUtility
    CPUFreqUtility(x86-64)
    application()
    application(CPUFreqUtility.desktop)

CPUFreqUtility-debuginfo:
    CPUFreqUtility-debuginfo
    CPUFreqUtility-debuginfo(x86-64)



Source checksums
----------------
https://github.com/F1ash/CPUFreqUtility/archive/1.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : b6f91ad4fa465bb84f0db4d328a1cb2f15ac49996d84675e2d7d8f0b86d2d878
  CHECKSUM(SHA256) upstream package : b6f91ad4fa465bb84f0db4d328a1cb2f15ac49996d84675e2d7d8f0b86d2d878


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -rn CPUFreqUtility-1.4.3-1.fc22.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Upstream Release Monitoring 2015-10-12 09:01:38 UTC
f1ash's scratch build of CPUFreqUtility-1.4.3-2.fc22.R.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11412516

Comment 14 Raphael Groner 2015-10-12 12:05:22 UTC
Package review is approvable now.

You need a sponsor to get approved as a package maintainer. Please follow the guidelines in doing some other review comments or become a co-maintainer of an existing package (both are the common ways to get sponsored).
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 15 Raphael Groner 2015-10-12 12:07:12 UTC
(In reply to Raphael Groner from comment #8)
> You should activate your FAS:
> [20:25:11] <RaphGro> fasinfo flash
> [20:25:13] <zodbot> User: flash, Name: Jose J. Colmenares S., email:
> $address, Creation: 2009-05-30, IRC Nick: None, Timezone: UTC, Locale: C,
> GPG key ID: None, Status: inactive
> [20:25:17] <zodbot> Approved Groups: cla_fedora

Comment 16 Fl@sh 2015-10-12 13:05:00 UTC
I not need sponsor ;)
My FAS is f1ash (with digit 1).

Comment 17 Raphael Groner 2015-10-12 14:13:29 UTC
APPROVED

Comment 18 Raphael Groner 2015-10-12 15:00:55 UTC
Interested in doing a review swap with your own projects? Take a look into bug #1270873.

Comment 19 Fedora Update System 2015-10-12 17:44:34 UTC
CPUFreqUtility-1.4.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a5743b06f

Comment 20 Fedora Update System 2015-10-12 23:50:33 UTC
CPUFreqUtility-1.4.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update CPUFreqUtility'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3a5743b06f

Comment 21 Fedora Update System 2015-10-13 18:20:57 UTC
CPUFreqUtility-1.4.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update CPUFreqUtility'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-03307103e4

Comment 22 Fedora Update System 2015-10-30 21:09:35 UTC
CPUFreqUtility-1.4.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ade8e5763

Comment 23 Fedora Update System 2015-11-01 06:56:35 UTC
CPUFreqUtility-1.4.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update CPUFreqUtility'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1ade8e5763

Comment 24 Fedora Update System 2015-11-02 00:25:19 UTC
CPUFreqUtility-1.4.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update CPUFreqUtility'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-264ed0268f

Comment 25 Fedora Update System 2015-12-06 01:24:20 UTC
CPUFreqUtility-1.4.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-12-06 03:20:01 UTC
CPUFreqUtility-1.4.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.